LinHES - Bug # 349: myth.rebuilddatabase.pl

Status: Closed Priority: Normal

Author: chrisj Category:

Created: 05/08/2009 Assignee:

Updated: 12/25/2011 Due date: 12/31/1969

Description: myth.rebuilddatabase.pl failes with the following error
<code>
# /usr/share/mythtv/contrib/myth.rebuilddatabase.pl
Can't locate Time/Format.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.10.0
/usr/share/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl
/usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl /ust/lib/perl5/current
/usr/lib/perl5/site_perl/current .) at /usr/share/mythtv/contrib/myth.rebuilddatabase.pl line 55.
BEGIN failed--compilation aborted at /usr/share/mythtv/contrib/myth.rebuilddatabase.pl line 55
</code>

History

05/08/2009 01:49 am - chrisj
Due to the missing module after installing myth.rebuilddatabase.pl will work ok

<code>

wget http://search.cpan.org/CPAN/authors/id/R/RO/ROODE/Time-Format-1.02.tar.gz
tar zxvf Time-Format-1.02.tar.gz

cd Time-Format-1.02

sudo perl Makefile.pl

sudo make

sudo make install

cd../

rm -f Time-Format-1.02

rm Time-Format-1.02.tar.gz
</code>

06/08/2009 09:44 am - jams

perl-time-format has been added to the repo. It also will now be installed with future mythtv updates.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
